import java.rmi.Naming;
import java.rmi.Remote;
import java.rmi.RMISecurityManager;
import java.rmi.server.RMIClassLoader;
import java.util.Properties;

public class DynamicServer { 
  public static void main(String[] args) {
    System.setSecurityManager(new RMISecurityManager()); 
    try { 
      Properties p= System.getProperties();
      String url=p.getProperty("java.rmi.server.codebase");
      Class ClasseServeur = RMIClassLoader.loadClass(url, "Reverse");
      Naming.rebind("rmi://localhost:1099/MyReverse", 
                    (Remote)ClasseServeur.newInstance());
      System.out.println("Objet Reverse li dans le RMIregistry");
      System.out.println("Attente des invocations des clients ..."); 
    } 
    catch (Exception e) { 
      System.out.println("Erreur de liaison de l'objet Reverse");
      System.out.println(e.toString());
    } 
  } // fin du main 
} // fin de la classe
